Name:           lxtask
Version:        0.1.4
Release:        1%{?_dist_release}
Summary:        Lightweight and desktop independent task manager
Summary(ja):    軽量で独立したタスクマネージャ

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz

#Patch0:         %{name}-0.1.1-invalid-desktop-file.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:         Project Vine
Distribution:   Vine Linux

BuildRequires:  gtk2-devel > 2.6, gettext, desktop-file-utils

%description
LXTask is a lightweight task manager derived from xfce4 task manager with all
xfce4 dependencies removed, some bugs fixed, and some improvement of UI. 
Although being part of LXDE, the Lightweight X11 Desktop Environment, it's 
totally desktop independent and only requires pure gtk+.


%prep
%setup -q
#%patch0 -p1 -b .invalid

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="vine"	\
  --delete-original	\
  --remove-category=Application	\
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications	\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop


%changelog
* Fri Jul 08 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.4-1
- new upstream release

* Thu May 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.3-1
- new upstream release
- dropt Patch0
- clean up spec

* Tue Jul 7 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.1-1
- new upstream release
- dropt Source1,2
- updated Patch0

* Fri Mar 27 2009 IWAI, Masaharu <iwai@alib.jp> 0.1-2
- replace ja.po: from upstream repository
- drop ja.po patch (Patch1)
- add Vendor and Distribution tags for Vine Linux

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1-1vl5
- initial build for VineSeed (import Fedora Package)

* Sun May 04 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1-1
- Initial Fedora RPM
